#ifndef seafire__resources__handle_hxx_
#define seafire__resources__handle_hxx_

#include <seafire/protocol/rfc7231/allow.hxx>
#include <seafire/resources/concepts.hxx>
#include <seafire/resources/handle-create.hxx>
#include <seafire/resources/handle-get.hxx>
#include <seafire/resources/handle-update.hxx>
#include <seafire/resources/negotiate.hxx>
#include <seafire/resources/traits.hxx>
#include <seafire/server/request.hxx>
#include <seafire/server/response.hxx>

#include <sstream>
#include <type_traits>

namespace seafire::resources
{

  void
  handle(server::request_t& req,
         server::response_t& res,
         Resource auto const& r);

} // namespace seafire::resources

#include <seafire/resources/handle.txx>

#endif
