#ifndef seafire__resources__negotiate_hxx_
#define seafire__resources__negotiate_hxx_

#include <seafire/protocol/media-type.hxx>
#include <seafire/protocol/rfc7231/accept.hxx>
#include <seafire/representation/concepts.hxx>
#include <seafire/representation/traits.hxx>
#include <seafire/resources/concepts.hxx>
#include <seafire/resources/traits.hxx>
#include <seafire/server/request.hxx>
#include <seafire/server/response.hxx>

#include <optional>

namespace seafire::resources
{

// fixme: implement concept for handler.

  template<representation::Representation R, typename Handler>
  void
  negotiate(server::request_t&, server::response_t&, Handler&&);

} // namespace seafire::resources

#include <seafire/resources/negotiate.txx>

#endif
